Package: groovy.security

## [Java] Class GroovyCodeSourcePermission

- groovy.security.GroovyCodeSourcePermission

-     public final class GroovyCodeSourcePermission
      extends BasicPermission

  Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCodeSourcePermission(String name)`
    `GroovyCodeSourcePermission(String name, String actions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicPermission` | `checkGuard, equals, getActions, getClass, getName, hashCode, implies, newPermissionCollection, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyCodeSourcePermission(String name)

    - #### public GroovyCodeSourcePermission(String name, String actions)